Bug 576794 - XV output crashes Xorg
Summary: XV output crashes Xorg
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-25 08:47 UTC by Vasile Chelban
Modified: 2010-12-03 16:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 16:47:05 UTC


Attachments (Terms of Use)
Xorg stacktrace (20.14 KB, text/plain)
2010-03-25 08:47 UTC, Vasile Chelban
no flags Details
Xorg log file with crash recorded (48.48 KB, text/plain)
2010-03-25 08:48 UTC, Vasile Chelban
no flags Details
xorg.conf file used in tests (123 bytes, text/plain)
2010-03-25 08:48 UTC, Vasile Chelban
no flags Details

Description Vasile Chelban 2010-03-25 08:47:26 UTC
Created attachment 402500 [details]
Xorg stacktrace

Description of problem:
Update to xorg-x11-drv-openchrome-0.2.904-3 results in broken Xv output on VIA P4M900


Version-Release number of selected component (if applicable):
xorg-x11-drv-openchrome-0.2.904-3.fc12.i686
xorg-x11-drv-openchrome-0.2.904-4.fc12.i686
xorg-x11-server-Xorg-1.7.6-1.fc12.i686
kernel-2.6.32.10-90.fc12.i686
libdrm-2.4.17-1.fc12.i686


How reproducible:
Always

Steps to Reproduce:
1. run command like
$ mplayer -vo xv file.avi

  
Actual results:
Xorg server crashes

Expected results:
Normal video output

Additional info:
Smolt profile - http://www.smolts.org/client/show/pub_da3c8d24-8bad-456a-84cc-d3ef907bded2
Attached are Xorg stacktrace, xorg.conf with fix for another openchrome issue (unsure if it's still needed), Xorg.log
Bug not present in xorg-x11-drv-openchrome-0.2.904-2.fc12.i686

Comment 1 Vasile Chelban 2010-03-25 08:48:15 UTC
Created attachment 402501 [details]
Xorg log file with crash recorded

Comment 2 Vasile Chelban 2010-03-25 08:48:44 UTC
Created attachment 402502 [details]
xorg.conf file used in tests

Comment 3 Timon 2010-03-26 10:52:32 UTC
I have same problem with xorg-x11-drv-openchrome-0.2.904-4.fc12.x86_64 and P4M900

Comment 4 Xavier Bachelot 2010-03-26 11:59:30 UTC
Thanks for the bug report Vasile.
I discussed the issue with upstream already. This is a regression introduced with the VX855 Xv support patch. I'll push a new build when a fix will be available.

Btw, the workaround you have in your xorg conf is not needed anymore with 0.2.904, so you should be able to suppress the whole conf file.

Comment 5 Xavier Bachelot 2010-03-31 08:59:37 UTC
This should be fixed in this koji scratch build :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2086329

Please confirm it works for you, and I'll push that as an official update.

Comment 6 Vasile Chelban 2010-03-31 10:20:29 UTC
It works

Comment 7 Timon 2010-04-01 08:26:06 UTC
yes, it works.

Comment 8 Fedora Update System 2010-04-04 00:37:06 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc11

Comment 9 Fedora Update System 2010-04-04 00:37:15 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc12

Comment 10 Fedora Update System 2010-04-04 00:37:24 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc13.1 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc13.1

Comment 11 Fedora Update System 2010-04-06 19:56:02 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc13.1 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc13.1

Comment 12 Fedora Update System 2010-04-09 01:29:14 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc12

Comment 13 Fedora Update System 2010-04-09 01:42:18 UTC
xorg-x11-drv-openchrome-0.2.904-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-5.fc11

Comment 14 Fedora Update System 2010-05-26 21:46:40 UTC
xorg-x11-drv-openchrome-0.2.904-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-6.fc11

Comment 15 Fedora Update System 2010-05-26 21:48:14 UTC
xorg-x11-drv-openchrome-0.2.904-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-6.fc13

Comment 16 Fedora Update System 2010-05-26 21:49:05 UTC
xorg-x11-drv-openchrome-0.2.904-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-6.fc12

Comment 17 Fedora Update System 2010-06-14 17:12:17 UTC
xorg-x11-drv-openchrome-0.2.904-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-7.fc12

Comment 18 Fedora Update System 2010-06-14 17:18:50 UTC
xorg-x11-drv-openchrome-0.2.904-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-7.fc11

Comment 19 Fedora Update System 2010-06-14 17:22:38 UTC
xorg-x11-drv-openchrome-0.2.904-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-openchrome'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xorg-x11-drv-openchrome-0.2.904-7.fc13

Comment 20 Bug Zapper 2010-11-03 18:39:45 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Bug Zapper 2010-12-03 16:47:05 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.